# Add Keyword to Project

## POST /addKeyword

> Add a new keyword

```json
{"openapi":"3.0.0","info":{"title":"Ranklytics API","version":"1.0.0"},"tags":[{"name":"Keywords","description":"Keywords"}],"servers":[{"url":"https://api.ranklytics.ai","description":"Ranklytics API Server"}],"security":[{"apiKey":[],"secretKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"API Key for authentication","name":"X-API-KEY","in":"header"}}},"paths":{"/addKeyword":{"post":{"tags":["Keywords"],"summary":"Add a new keyword","operationId":"572c15678c200ddc127a78999e6d69e0","requestBody":{"required":true,"content":{"application/json":{"schema":{"properties":{"project_id":{"type":"integer"},"keyword":{"type":"string"},"seed_keyword":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"properties":{"status":{"type":"string"},"message":{"type":"string"}},"type":"object"}}}},"400":{"description":"Invalid API Credentials, Project not found, or Keyword already exists","content":{"application/json":{"schema":{"properties":{"status":{"type":"string"},"message":{"type":"string"}},"type":"object"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"properties":{"status":{"type":"string"},"message":{"type":"string"}},"type":"object"}}}}}}}}}
```
